/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample.rips;

import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.disy.ogc.wpspd.v_1_0_0.Link;

import com.vividsolutions.jts.geom.LineString;

@Process(
//
id = "terrainProfile",
//
title = "Terrain profile",
//
description = "Accepts a line string of maximum 10 km length and creates a terrain profile including the overview map.")
public class TerrainProfile extends AbstractRipsProcessToWpsAdapter {
  @ProcessMethod
  @OutputParameter(
  //
  id = "result",
  //
  title = "Result",
  //
  description = "Link to the image of the terrain profile")
  public Link getTerrainProfileUrl(
  //
      @InputParameter(
      //
      id = "line",
      //
      title = "Line string",
      //
      description = "Line string which will be used to produce terrain profile and overview map.")//
      LineString line) {
    final Link link = executeWithLinkResult("7", line);
    logger.info(link.getValue().getHref());
    return link; //$NON-NLS-1$
  }

}
